org.apache.pdfbox.pdmodel

## Enum PageLayout

- java.lang.Object
- - java.lang.Enum<PageLayout>
  - - org.apache.pdfbox.pdmodel.PageLayout

All Implemented Interfaces:
  Serializable, Comparable<PageLayout>

    public enum PageLayout
    extends Enum<PageLayout>

A name object specifying the page layout shall be used when the document is opened.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ONE_COLUMN` Display the pages in one column.
`SINGLE_PAGE` Display one page at a time.
`TWO_COLUMN_LEFT` Display the pages in two columns), with odd numbered pages on the left.
`TWO_COLUMN_RIGHT` Display the pages in two columns), with odd numbered pages on the right.
`TWO_PAGE_LEFT` Display the pages two at a time), with odd-numbered pages on the left.
`TWO_PAGE_RIGHT` Display the pages two at a time), with odd-numbered pages on the right.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PageLayout` `fromString(String value)`
`String` `stringValue()` Returns the string value, as used in a PDF file.
`static PageLayout` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageLayout[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SINGLE_PAGE

    public static final PageLayout SINGLE_PAGE

Display one page at a time.

#### ONE_COLUMN

    public static final PageLayout ONE_COLUMN

Display the pages in one column.

#### TWO_COLUMN_LEFT

    public static final PageLayout TWO_COLUMN_LEFT

Display the pages in two columns), with odd numbered pages on the left.

#### TWO_COLUMN_RIGHT

    public static final PageLayout TWO_COLUMN_RIGHT

Display the pages in two columns), with odd numbered pages on the right. See also `PDViewerPreferences.setReadingDirection()` if dealing with RTL language.

#### TWO_PAGE_LEFT

    public static final PageLayout TWO_PAGE_LEFT

Display the pages two at a time), with odd-numbered pages on the left.

#### TWO_PAGE_RIGHT

    public static final PageLayout TWO_PAGE_RIGHT

Display the pages two at a time), with odd-numbered pages on the right. See also `PDViewerPreferences.setReadingDirection()` if dealing with RTL language.

### Method Detail

#### values

    public static PageLayout[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PageLayout c : PageLayout.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PageLayout valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static PageLayout fromString(String value)

#### stringValue

    public String stringValue()

Returns the string value, as used in a PDF file.